

function updatePostion() {
	var root= document.getElementById("price_div");
	root.setAttribute("style","position:absolute;left:450px;top:460px;");	
}


function createPriceShortCode(code,element) {
	var lastTime = getTime(code.timeText);
	var fontsize = code.price_font_size;
	var font = code.price_font;
	
	var secNum = calculatePrice(code.price,code.period,code.firstdate,lastTime); 
	var secInc = calculateSecondInc(code.period,code.incremant);

	var price_color =  code.pricecolor == null ? code.priceColor : code.pricecolor;
	
	var price = (secInc*secNum)+code.price;
	if(code.price!=-1) {
		
		
		var root= document.createElement("div");
		root.id="price_div";		
		var priceWidget = new BEWidget.PriceWidget();
		var div  = priceWidget.drawPrice(price,true,price_color,fontsize,font);
		
		//div.innerHTML = cof+" price:"+price.toFixed(2);
		append(root,div);
		append(element,root);
		
		
		var interval = setInterval(
			    function() {

			    	secNum = calculatePrice(code.price,code.period,code.firstdate,lastTime); 
			    	secInc = calculateSecondInc(code.period,code.incremant);
			    	
			    	price = (secInc*secNum)+code.price;
			    	console.log(price);

			    	remove(root,div);
					div  = priceWidget.drawPrice(price,true,price_color,fontsize,font);
			    	append(root,div);
			    	
			    	
			    }, 1000);
		return interval;
	}
}

function remove(root,div) {
	if(root.removeChild !=undefined) {
		root.removeChild(div);	
	}else {
		root.remove(div);
	}
}

function append(root,div) {
	if(root.appendChild !=undefined) {
		root.appendChild(div);	
	}else {
		root.append(div);
	}

}


function calculateSecondInc(period,inc) {
	var secondInc=0;
	if(period=="day") {
		secondInc= (inc/24/60/60); //contains days passed since Year 2000
	}else if(period=="hour") {
		secondInc=(inc/60/60);
	}else if(period=="min") {
		secondInc= (inc/60);
	}else if(period=="sec") {
		secondInc=inc;
	}
	return secondInc;
}

function calculatePrice(price,period,firstTime,lastTime) {
	if(price==-1) {
		return -1;
	}
	var cof = find(firstTime,period,lastTime);
	return cof;
//	
	
	
}

function find(firstTime,period,lastTime){
	var d = new Date();
	if(new Date()> lastTime) {
		d = lastTime;
	}
	var dif =   d - new Date(firstTime);
	return Math.round(dif/1000);
}



function getTime(timeText){
	var t = timeText.split(' ');
	var d = t[0].split('/');
	var w = t[1].split(':');

	
	return new Date(d[0], d[1]-1, d[2], w[0], w[1], w[2], 0); //new Date(year, month, day, hours, minutes, seconds, milliseconds) 
}